<?php // var_dump( $post_customs ); ?>
<h4>Q1 WordPress を主にどのような用途で使用していますか？（複数回答可）</h4>
<input type="hidden" name="post_category[]" value="0" />
<ul>
<?php $cnt = 1; foreach ( $categories as $category ) : ?>
	<li>
		<label for="category-<?php echo $category->term_id; ?>">
			<input type="checkbox" name="post_category[]" id="category-<?php echo $category->term_id; ?>" value="<?php echo $category->term_id; ?>"<?php echo in_array( $category->term_id, $post_categories ) ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $category->name ); ?>
		</label>
<?php if ( count( $categories ) == $cnt ) : ?>
		<input type="text" name="Q1A7" size="30" value="<?php echo esc_attr( $post_customs['Q1A7'] ); ?>" />
<?php endif; ?>
	</li>
<?php $cnt++; endforeach; ?>
</ul>

<h4>Q2 WordPress 使用歴はどのくらいですか？（１つだけ）</h4>
<input type="hidden" name="tax_input[duration]" value="0" />
<ul>
<?php foreach ( $durations as $duration ) : ?>
	<li>
			<label for="tag-<?php echo $duration->term_id; ?>">
				<input type="radio" name="tax_input[duration][]" id="tag-<?php echo $duration->term_id; ?>" value="<?php echo $duration->term_id; ?>"<?php echo in_array( $duration->term_id, $post_durations ) ? ' checked="checked"' : ''; ?> />
				<?php echo esc_html( $duration->name ); ?>
			</label>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q3 今回の WordCamp をどこで知りましたか？（１つだけ）</h4>
<ul>
<?php foreach ( $ans_map['Q3'] as $key => $label ) : ?>
	<li>
		<label for="Q3_<?php echo esc_attr( $key ); ?>">
			<input type="radio" name="Q3" id="Q3_<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>"<?php echo $post_customs['Q3'] == $key ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $label ); ?>
		</label>
<?php if ( $key == 'A9' ) : ?>
		<input type="text" name="Q3A9" id="Q3A9" size="30" value="<?php echo esc_attr( $post_customs['Q3A9'] ); ?>" />
<?php endif; ?>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q4. 今回のWordCampには、どのような点を最も期待して参加されましたか？（１つだけ）</h4>
<input type="hidden" name="Q4" value="0" />
<ul>
<?php foreach ( $ans_map['Q4'] as $key => $label ) : ?>
	<li>
		<label for="Q4_<?php echo esc_attr( $key ); ?>">
			<input type="checkbox" name="Q4[]" id="Q4_<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>"<?php echo in_array( $key, (array)$post_customs['Q4'] ) ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $label ); ?>
		</label>
<?php if ( $key == 'A5' ) : ?>
		<input type="text" name="Q4A5" id="Q4A5" size="30" value="<?php echo esc_attr( $post_customs['Q4A5'] ); ?>" />
<?php endif; ?>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q5. Q4.でお答え頂いた点は期待通りでしたか？（１つだけ）</h4>
<ul>
<?php foreach ( $ans_map['Q5'] as $key => $label ) : ?>
	<li>
		<label for="Q5_<?php echo esc_attr( $key ); ?>">
			<input type="radio" name="Q5" id="Q5_<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>"<?php echo $post_customs['Q5'] == $key ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $label ); ?>
		</label>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q6. 参加したセッションについてお聞かせ下さい。</h4>
<p class="notice">理解度と役立ち度は、それぞれ <strong>1 から 5 の範囲</strong>で入力してください。<strong>「理解できなかった」、「役立たなかった」が 1</strong>、<strong>「理解できた」、「役立った」を 5</strong> としてください。小数点での入力も可能ですが、1 から 5 の範囲から外れると無効な入力としてはじかれますので注意してください。</p>
<table class="editor_template_table">
	<thead>
		<tr class="head">
			<th class="time">時間帯</th>
			<th class="session">セッションタイトル（スピーカー）</th>
			<th class="understand">理解度</th>
			<th class="valuable">役立ち度</th>
		</tr>
	</thead>
	<tr class="odd">
		<th rowspan="3">10:00-10:30</th>
		<td>WordPress 初心者から脱出（下野宏）</td>
		<td><input type="text" class="session" name="Q6U1U" size="3" value="<?php echo esc_attr( $post_customs['Q6U1U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U1V" size="3" value="<?php echo esc_attr( $post_customs['Q6U1V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>アンカンファレンス: テーマづくりの悩みを話し合おう！</td>
		<td><input type="text" class="session" name="Q6D1U" size="3" value="<?php echo esc_attr( $post_customs['Q6D1U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D1V" size="3" value="<?php echo esc_attr( $post_customs['Q6D1V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>アンカンファレンス: WordPress の疑問をみんなで分かち合おう</td>
		<td><input type="text" class="session" name="Q6T1U" size="3" value="<?php echo esc_attr( $post_customs['Q6T1U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T1V" size="3" value="<?php echo esc_attr( $post_customs['Q6T1V'] ); ?>" /></td>
	</tr>

	<tr class="even">
		<th rowspan="3">10:45-11:15</th>
		<td>ブロガーのための解析を使ったサイト改善（春元和正）</td>
		<td><input type="text" class="session" name="Q6U2U" size="3" value="<?php echo esc_attr( $post_customs['Q6U2U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U2V" size="3" value="<?php echo esc_attr( $post_customs['Q6U2V'] ); ?>" /></td>
	</tr>
	<tr class="even">
		<td>早く・良いものを作るための、WordPressサイト構築ワークフロー（堀内敬子）</td>
		<td><input type="text" class="session" name="Q6D2U" size="3" value="<?php echo esc_attr( $post_customs['Q6D2U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D2V" size="3" value="<?php echo esc_attr( $post_customs['Q6D2V'] ); ?>" /></td>
	</tr>
	<tr class="even">
		<td>WordPress プラグインを作って世界と交流しようぜ！（宮内隆行）</td>
		<td><input type="text" class="session" name="Q6T2U" size="3" value="<?php echo esc_attr( $post_customs['Q6T2U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T2V" size="3" value="<?php echo esc_attr( $post_customs['Q6T2V'] ); ?>" /></td>
	</tr>

	<tr class="odd">
		<th rowspan="3">11:30-12:00</th>
		<td>WordPress でできる、あんなコトそんなコト（たけ）</td>
		<td><input type="text" class="session" name="Q6U3U" size="3" value="<?php echo esc_attr( $post_customs['Q6U3U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U3V" size="3" value="<?php echo esc_attr( $post_customs['Q6U3V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>WordPress のオリジナルテーマ制作<br />デザイン時に私が心がけている「更新しやすい」テーマ作り（parkn_park）</td>
		<td><input type="text" class="session" name="Q6D3U" size="3" value="<?php echo esc_attr( $post_customs['Q6D3U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D3V" size="3" value="<?php echo esc_attr( $post_customs['Q6D3V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>WordPress の動作原理詳説（大曲仁）</td>
		<td><input type="text" class="session" name="Q6T3U" size="3" value="<?php echo esc_attr( $post_customs['Q6T3U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T3V" size="3" value="<?php echo esc_attr( $post_customs['Q6T3V'] ); ?>" /></td>
	</tr>

	<tr class="even">
		<th>13:00-13:30</th>
		<td>キーノート: WordPress の現在とこれから（マクラケン直子）</td>
		<td><input type="text" class="session" name="Q6UKU" size="3" value="<?php echo esc_attr( $post_customs['Q6UKU'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6UKV" size="3" value="<?php echo esc_attr( $post_customs['Q6UKV'] ); ?>" /></td>
	</tr>

	<tr class="odd">
		<th rowspan="3">13:45-14:15</th>
		<td>WordCamp Tokyo 2011 スタッフおすすめ! WordPress の面白いプラグインやテーマカスタマイズ（星野邦敏）</td>
		<td><input type="text" class="session" name="Q6U4U" size="3" value="<?php echo esc_attr( $post_customs['Q6U4U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U4V" size="3" value="<?php echo esc_attr( $post_customs['Q6U4V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>未来を見据えたレスポンシブ・パブリッシング（こもりまさあき）</td>
		<td><input type="text" class="session" name="Q6D4U" size="3" value="<?php echo esc_attr( $post_customs['Q6D4U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D4V" size="3" value="<?php echo esc_attr( $post_customs['Q6D4V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>本当にあった WordPress テーマにまつわる怖い話（中山記男）</td>
		<td><input type="text" class="session" name="Q6T4U" size="3" value="<?php echo esc_attr( $post_customs['Q6T4U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T4V" size="3" value="<?php echo esc_attr( $post_customs['Q6T4V'] ); ?>" /></td>
	</tr>

	<tr class="even">
		<th rowspan="3">14:30-15:00</th>
		<td>コンテンツ戦略を意識した今後の CMS の姿（長谷川恭久）</td>
		<td><input type="text" class="session" name="Q6U5U" size="3" value="<?php echo esc_attr( $post_customs['Q6U5U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U5V" size="3" value="<?php echo esc_attr( $post_customs['Q6U5V'] ); ?>" /></td>
	</tr>
	<tr class="even">
		<td>実践！オリジナルテーマで作る、スマホサイト＆マルチスクリーンサイト（たにぐちまこと）</td>
		<td><input type="text" class="session" name="Q6D5U" size="3" value="<?php echo esc_attr( $post_customs['Q6D5U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D5V" size="3" value="<?php echo esc_attr( $post_customs['Q6D5V'] ); ?>" /></td>
	</tr>
	<tr class="even">
		<td>たった一人の反乱 ~ WordPress で電子書籍を売る ~ （高橋文樹）</td>
		<td><input type="text" class="session" name="Q6T5U" size="3" value="<?php echo esc_attr( $post_customs['Q6T5U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T5V" size="3" value="<?php echo esc_attr( $post_customs['Q6T5V'] ); ?>" /></td>
	</tr>

	<tr class="odd">
		<th rowspan="3">15:15-15:45</th>
		<td>百式ブログの毎日更新を10年+続けてわかったことと、これからの展望（田口元）</td>
		<td><input type="text" class="session" name="Q6U6U" size="3" value="<?php echo esc_attr( $post_customs['Q6U6U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U6V" size="3" value="<?php echo esc_attr( $post_customs['Q6U6V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>クリーンな WordPress サイトのための PHP コーディングのお作法 ― 計画的に WordPress を拡張していくためのフレームワーク思考（原一浩）</td>
		<td><input type="text" class="session" name="Q6D6U" size="3" value="<?php echo esc_attr( $post_customs['Q6D6U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D6V" size="3" value="<?php echo esc_attr( $post_customs['Q6D6V'] ); ?>" /></td>
	</tr>
	<tr class="odd">
		<td>WordPress ハイパフォーマンスチューニング Reloaded（をかもと）</td>
		<td><input type="text" class="session" name="Q6T6U" size="3" value="<?php echo esc_attr( $post_customs['Q6T6U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T6V" size="3" value="<?php echo esc_attr( $post_customs['Q6T6V'] ); ?>" /></td>
	</tr>

	<tr class="even">
		<th rowspan="3">16:00-16:45</th>
		<td>パネルディスカッション: ブロガーによるブロガーのためのブログ運営のコツ（堀正岳、五藤隆介、麦酒男・タカバシ）</td>
		<td><input type="text" class="session" name="Q6U7U" size="3" value="<?php echo esc_attr( $post_customs['Q6U7U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6U7V" size="3" value="<?php echo esc_attr( $post_customs['Q6U7V'] ); ?>" /></td>
	</tr>
	<tr class="even">
		<td>パネルディスカッション: WordCamp Tokyo 2011 公式サイトが出来るまで（WordCamp Tokyo 2011 公式サイト制作チーム）</td>
		<td><input type="text" class="session" name="Q6D7U" size="3" value="<?php echo esc_attr( $post_customs['Q6D7U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6D7V" size="3" value="<?php echo esc_attr( $post_customs['Q6D7V'] ); ?>" /></td>
	</tr>
	<tr class="even">
		<td>WordPress.com の裏側（ジョン･フォード）</td>
		<td><input type="text" class="session" name="Q6T7U" size="3" value="<?php echo esc_attr( $post_customs['Q6T7U'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6T7V" size="3" value="<?php echo esc_attr( $post_customs['Q6T7V'] ); ?>" /></td>
	</tr>
	
	<tr class="odd">
		<th>14:30-15:45</th>
		<td>ハンズオン: WordPress.com 入門（マクラケン直子、入江隆）</td>
		<td><input type="text" class="session" name="Q6UHU" size="3" value="<?php echo esc_attr( $post_customs['Q6UHU'] ); ?>" /></td>
		<td><input type="text" class="session" name="Q6UHV" size="3" value="<?php echo esc_attr( $post_customs['Q6UHV'] ); ?>" /></td>
	</tr>
</table>

<h5>ライトニングトーク</h4>
<p>面白いとおもったもののタイトルまたはスピーカー名を記述してください。</p>
<input type="hidden" name="Q6LT" value="0" />
<ul>
<?php foreach ( $ans_map['Q6LT'] as $key => $label ) : ?>
	<li>
		<label for="Q6LT_<?php echo esc_attr( $key ); ?>">
			<input type="checkbox" name="Q6LT[]" id="Q6LT_<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>"<?php echo in_array( $key, (array)$post_customs['Q6LT'] ) ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $label ); ?>
		</label>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q7 次回以降で希望する内容は何がありますか（複数回答可）</h4>
<input type="hidden" name="Q7" value="0" />
<ul>
<?php foreach ( $ans_map['Q7'] as $key => $label ) : ?>
	<li>
		<label for="Q7_<?php echo esc_attr( $key ); ?>">
			<input type="checkbox" name="Q7[]" id="Q7_<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>"<?php echo in_array( $key, (array)$post_customs['Q7'] ) ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $label ); ?>
		</label>
<?php if ( $key == 'A10' ) : ?>
		<input type="text" name="Q7A10" id="Q7A10" size="30" value="<?php echo esc_attr( $post_customs['Q7A10'] ); ?>" />
<?php endif; ?>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q8 今後も WordCamp もしくは、 WordPress 関連のイベントに参加したいと思いますか？</h4>
<ul>
<?php foreach ( $ans_map['Q8'] as $key => $label ) : ?>
	<li>
		<label for="Q8_<?php echo esc_attr( $key ); ?>">
			<input type="radio" name="Q8" id="Q8_<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>"<?php echo $post_customs['Q8'] == $key ? ' checked="checked"' : ''; ?> />
			<?php echo esc_html( $label ); ?>
		</label>
	</li>
<?php endforeach; ?>
</ul>

<h4>Q9 最後に WordCamp Tokyo 2011実行委員会、もしくは WordPress 日本語化チームにご意見・ご要望などどうぞ</h4>
<textarea name="content" id="content" cols="70" rows="5"><?php echo esc_html( $post->post_content ); ?></textarea>